#ifndef __STATUSDLG_H
#define __STATUSDLG_H

#include <qapplication.h>
#include <qdialog.h>
#include <qlayout.h>
#include <qprogressbar.h>
#include <qlabel.h>
#include <string>

/**
 * The %StatusDlg class implements the dialog for communicating
 * the status of the threshhold action to the user.
 *
 * \ingroup threshholdPlugin
 */
class StatusDlg : public QWidget
{
protected:
    int             val;
    std::string     mMsg;
    QProgressBar      *mStatBar;
    QLabel          *mLblMsg;

    void buildDialog( );

public:
    StatusDlg( std::string msg );

    void setVal( int ival );
    void setMsg( std::string msg );

};

#endif

