#ifndef __DBFHEADER_H
#define __DBFHEADER_H

#include <shapefil.h>

/**
 * This class represents a definition for a single
 * column in a DBF file.
 */
class DBFHeader {
public:
  char*           fieldName;    // FIELD NAME
  DBFFieldType    type;         // DBF DATA TYPE
  int             width;        // WIDTH IN BYTES
  int             nDec;         // NUMBER OF DECIMAL PLACES
};

#endif



