#include "ValueButton.h"

ValueButton::ValueButton(const QString & text, QWidget * parent, const char * name):
  QPushButton(text, parent, name){
  this->setFixedSize(30, 30);
  QObject::connect( this, SIGNAL( clicked() ), this, SLOT( emitValue() ) );
}

void ValueButton::setValue(char* val){
  value = val;
}


void ValueButton::emitValue(){
  emit clicked(value);
}

//void ValueButton::clicked(char* val)


