#ifndef ODLELEMENT_H
#define ODLELEMENT_H

#include <string>

class ODLElement {
protected:
  std::string      mLbl;
  std::string      mVal;
  std::string      mTyp;

public:
  ODLElement( const std::string &lbl,
              const std::string &val,
              const std::string &typ="" ) :
  mLbl( lbl ),
  mVal( val ),
  mTyp( typ ) {
  }

  std::string getLabel( ) {
    return mLbl;
  }
  std::string getValue( ) {
    return mVal;
  }
};

#endif



