#ifndef __PROJECTDLG_H
#define __PROJECTDLG_H

#include <qdialog.h>
#include <qlayout.h>
#include <qvbox.h>
#include <qhbox.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qgrid.h>
#include <qfiledialog.h>

#include <vector>
#include <string>

/**
 * Deprecated.
 */

class ProjectDlg : public QDialog {
  Q_OBJECT
  protected:
  QLineEdit           *mTxtName;
  QLineEdit           *mTxtDir;
  QLineEdit           *mTxtImg;
  QCheckBox           *mChkMulti;
  QComboBox           *mCmbType;
  std::vector<std::string>         mTypeSet;

  std::string         &mName;
  std::string         &mDir;
  std::string         &mImg;
  int                 &mType;

  void buildDialog( );
  void loadTypes( );

public:
  ProjectDlg( std::string &name,
              std::string &dir,
              std::string &img,
              int &type );

public slots:
  void setDir( );
  void setImg( );
  void create( );
  void chkToggle( bool );

};

#endif





