#include "PixelProfile.h"


PixelProfile::PixelProfile(int newx, int newy){
  x = newx;
  y = newy;
}

PixelProfile::~PixelProfile(){;}

void PixelProfile::add(int val){
  values.push_back((double)val);
}

void PixelProfile::add(double val){
  values.push_back(val);
}
void PixelProfile::add(float val){
  values.push_back((double)val);
}
void PixelProfile::add(char *val){
  values.push_back(strtod(val, NULL));
}

int PixelProfile::getX(){
  return x;
}
int PixelProfile::getY(){
  return y;
}

int PixelProfile::size(){
  return values.size();
}

double PixelProfile::valueAt(int loc){
  return values[loc];
}

std::string PixelProfile::getAsString(){

  std::string str = "";

  std::stringstream ss;

  ss << "X:"<< x << " Y:" << y << ";  ";
  for(unsigned int i=0; i<values.size(); i++){
    ss << values[i] << "; ";
  }

  str = ss.str();

  return str;

}


std::string PixelProfile::getAsString(std::string delim){

  std::string str = "";

  std::stringstream ss;

  ss << x << delim << " " << y << delim << " ";
  for(unsigned int i = 0 ; i < values.size() ; i++){
    ss << values[i] << delim << " ";
  }

  str = ss.str();

  return str;

}

std::string PixelProfile::runDriverTest(){
  std::string str = "Created new PixelProfile\n";

  //add some values of different types
  this->add(3.0);
  this->add(4.555);
  this->add(-4.03);
  this->add(-9);
  this->add("40.9");
  this->add("-40");
  this->add(0.0000002);
  this->add(7.09808);
  str = str+"adds sucessfull\n";

  //get the getAsString()
  str.append(this->getAsString());

  str = str+"\n";
  return str;
}

