#ifndef __ValueButton_h
#define __ValueButton_h

#include <qpushbutton.h>
#include <qtooltip.h>

class ValueButton : public QPushButton {
  Q_OBJECT

public:
  ValueButton(const QString & text, QWidget * parent, const char * name=0);

  void setValue(char* val);

protected:
  char* value;

public slots:
  void emitValue();

signals:
  void clicked(char* val);


};

#endif

